#ifndef KEYNAVATTACHED_H
#define KEYNAVATTACHED_H

#include <QtCore/QObject>
class QQuickItem;

class KeyNavAttached : public QObject
{
    Q_OBJECT
    Q_DISABLE_COPY(KeyNavAttached)

    Q_PROPERTY(QQuickItem *backtabUp READ backtabUp WRITE setBacktabUp NOTIFY backtabUpChanged)
    Q_PROPERTY(QQuickItem *tabUp READ tabUp WRITE setTabUp NOTIFY tabUpChanged)
    Q_PROPERTY(QQuickItem *backtabDown READ backtabDown WRITE setBacktabDown NOTIFY backtabDownChanged)
    Q_PROPERTY(QQuickItem *tabDown READ tabDown WRITE setTabDown NOTIFY tabDownChanged)

public:
    explicit KeyNavAttached(QObject *parent = 0);
    virtual ~KeyNavAttached();

    QQuickItem *backtabUp() const;
    void setBacktabUp(QQuickItem *item);

    QQuickItem *tabUp() const;
    void setTabUp(QQuickItem *item);

    QQuickItem *backtabDown() const;
    void setBacktabDown(QQuickItem *item);

    QQuickItem *tabDown() const;
    void setTabDown(QQuickItem *item);

    
signals:
    void backtabUpChanged();
    void tabUpChanged();
    void backtabDownChanged();
    void tabDownChanged();

private:
    QQuickItem *m_backtabUp;
    QQuickItem *m_tabUp;
    QQuickItem *m_backtabDown;
    QQuickItem *m_tabDown;
    
};

#endif // KEYNAVATTACHED_H
