import QtQuick 2.0
import com.embeddeduse.keynav 1.0

FocusScope {
    id: root

    signal released()

    property alias source: flagImage.source

    KeyNav.backtabDown: cursor.KeyNav.backtabDown
    KeyNav.tabDown: cursor.KeyNav.tabDown

    objectName: source

    width: 216
    height: 149

    Rectangle {
        id: flagBackground
        anchors.fill: parent
        color: "lightblue"

        Image {
            id: flagImage
            anchors.centerIn: parent
        }
    }

    ButtonCursor {
        id: cursor
        anchors.fill: parent
        objectName: root.objectName
        KeyNav.backtabUp: root.KeyNav.backtabUp
        KeyNav.tabUp: root.KeyNav.tabUp
        focus: true
    }
}
